Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurBSEType

The method to be used in the Krylov-Schur solver for the case of BSE structured eigenproblems.

## Synopsis

    typedef enum { EPS_KRYLOVSCHUR_BSE_SHAO,
                   EPS_KRYLOVSCHUR_BSE_GRUNING,
                   EPS_KRYLOVSCHUR_BSE_PROJECTEDBSE } EPSKrylovSchurBSEType;

## Values

- `EPS_KRYLOVSCHUR_BSE_SHAO` - a Lanczos method proposed by Shao and coauthors

- `EPS_KRYLOVSCHUR_BSE_GRUNING` - a Lanczos method proposed by Gruning and coauthors

- `EPS_KRYLOVSCHUR_BSE_PROJECTEDBSE` - a Lanczos method resulting is a projected problem with BSE structure

## Note

All variants are implemented in combination with a thick restart, see the details in [Alvarruiz et al., 2025].

## References

[Alv25]

F. Alvarruiz, B. Mellado-Pinto, and J. E. Roman. Variants of thick-restart Lanczos for the Bethe-Salpeter eigenvalue problem. arXiv:2503.20920 : retrieved 27 May 2025, 2025. doi:10.48550/arXiv.2503.20920.

## See Also

EPS: Eigenvalue Problem Solver, `EPSKrylovSchurSetBSEType()`, `EPSKrylovSchurGetBSEType()`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages